//! Seperate out debugging uis/plugins in it's own module for cleanliness.
use bevy::prelude::*;
use bevy_inspector_egui::bevy_egui::EguiPlugin;

pub fn plugin(app: &mut App) {
    app.add_plugins(EguiPlugin {
        enable_multipass_for_primary_context: true,
    })
    .add_plugins((
        // WorldInspectorPlugin::new(),
        // StateInspectorPlugin::<AppState>::new(),
        // StateInspectorPlugin::<menus::CurrentMenu>::new(),
    ));
}
